Opened 9 years ago

Closed 9 years ago

Last modified 9 years ago

#18562 closed enhancement (fixed)

py26-matplotlib - .98.5.2 - Ported to the python 2.6

Reported by: krunk7@… Owned by: skymoo (Adam Mercer)
Priority: Normal Milestone:
Component: ports Version: 1.7.0
Keywords: Cc: mf2k (Frank Schima), MarcusCalhoun-Lopez (Marcus Calhoun-Lopez)
Port: py26-matplotlib

Description

No credit, easy move. just changed the portgroup

Attachments (5)

Portfile (3.8 KB) - added by krunk7@… 9 years ago.
Portfile
patch-backend_cocoaagg.py.diff (461 bytes) - added by krunk7@… 9 years ago.
patch-backend-cocoagg
patch-disable_optional_deps.diff (5.0 KB) - added by krunk7@… 9 years ago.
patch-disable-option
patch-setup.cfg.diff (224 bytes) - added by krunk7@… 9 years ago.
patch-setup.cfg
patch-setupext.py.diff (3.5 KB) - added by krunk7@… 9 years ago.
patch-setupext.py

Download all attachments as: .zip

Change History (13)

Changed 9 years ago by krunk7@…

Attachment: Portfile added

Portfile

Changed 9 years ago by krunk7@…

patch-backend-cocoagg

Changed 9 years ago by krunk7@…

patch-disable-option

Changed 9 years ago by krunk7@…

Attachment: patch-setup.cfg.diff added

patch-setup.cfg

Changed 9 years ago by krunk7@…

Attachment: patch-setupext.py.diff added

patch-setupext.py

comment:1 Changed 9 years ago by skymoo (Adam Mercer)

Owner: changed from macports-tickets@… to ram@…
Status: newassigned

comment:2 Changed 9 years ago by skymoo (Adam Mercer)

Port: py26-matplotlib added

matplotlib doesn't officially support python 2.6 yet as numpy doesn't and won't until numpy-1.3 is released, thats why I haven't added a matplolib port for python 2.6. As soon as matplotlib supports python-2.6 I'll add a port.

comment:3 Changed 9 years ago by skymoo (Adam Mercer)

Cc: macsforever2000@… added

has duplicate #19009

comment:4 Changed 9 years ago by MarcusCalhoun-Lopez (Marcus Calhoun-Lopez)

Cc: mcalhoun@… added

Cc Me!

comment:5 Changed 9 years ago by skymoo (Adam Mercer)

Now that NumPy-1.3.0 is out, and in MacPorts (r49210, r49211, r49212), we just need to wait for compatible release of matplotlib and matplotlib-basemap. I've emailed upstream regarding a timescale.

comment:6 Changed 9 years ago by skymoo (Adam Mercer)

py26-matplotlib was commited in r49241. The wxpython backend variant was disabled due to #19191, and the qt4 backend variant was disabled due to #19008.

comment:7 Changed 9 years ago by skymoo (Adam Mercer)

Resolution: fixed
Status: assignedclosed

py26-matplotlib-basemap was committed in r49242

comment:8 Changed 9 years ago by (none)

Milestone: Port Enhancements

Milestone Port Enhancements deleted

Note: See TracTickets for help on using tickets.